<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfText.WmfExtTextOut (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfText.WmfExtTextOut (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfText.WmfExtTextOut.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextAlign.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfText.WmfExtTextOut.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Class HwmfText.WmfExtTextOut" class="title">Class HwmfText.WmfExtTextOut</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwmf.record.HwmfText.WmfExtTextOut</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                           title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.html"
                           title="class in org.apache.poi.hwmf.record">HwmfText</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">HwmfText.WmfExtTextOut</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
              title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></pre>
                <div class="block">The META_EXTTEXTOUT record outputs text by using the font, background color, and text
                    color that
                    are defined in the playback device context. Optionally, dimensions can be provided for clipping,
                    opaquing, or both.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html#WmfExtTextOut--">WmfExtTextOut</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html#draw-org.apache.poi.hwmf.draw.HwmfGraphics-">draw</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfGraphics</a>&nbsp;ctx)</code>
                                    <div class="block">Apply the record settings to the graphics context</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html#getRecordType--">getRecordType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html#getText-java.nio.charset.Charset-">getText</a></span>(java.nio.charset.Charset&nbsp;charset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html#init-org.apache.poi.util.LittleEndianInputStream-long-int-">init</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianInputStream</a>&nbsp;leis,
                                    long&nbsp;recordSize,
                                    int&nbsp;recordFunction)</code>
                                    <div class="block">Init record from stream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="WmfExtTextOut--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>WmfExtTextOut</h4>
                                <pre>public&nbsp;WmfExtTextOut()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html"
                                                    title="enum in org.apache.poi.hwmf.record">HwmfRecordType</a>&nbsp;getRecordType()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="init-org.apache.poi.util.LittleEndianInputStream-long-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>init</h4>
                                <pre>public&nbsp;int&nbsp;init(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianInputStream</a>&nbsp;leis,
                long&nbsp;recordSize,
                int&nbsp;recordFunction)
         throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html#init-org.apache.poi.util.LittleEndianInputStream-long-int-">HwmfRecord</a></code></span>
                                </div>
                                <div class="block">Init record from stream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html#init-org.apache.poi.util.LittleEndianInputStream-long-int-">init</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>leis</code> - the little endian input stream</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>count of processed bytes</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="draw-org.apache.poi.hwmf.draw.HwmfGraphics-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>public&nbsp;void&nbsp;draw(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfGraphics</a>&nbsp;ctx)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html#draw-org.apache.poi.hwmf.draw.HwmfGraphics-">HwmfRecord</a></code></span>
                                </div>
                                <div class="block">Apply the record settings to the graphics context</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html#draw-org.apache.poi.hwmf.draw.HwmfGraphics-">draw</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctx</code> - the graphics context to modify</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText-java.nio.charset.Charset-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText(java.nio.charset.Charset&nbsp;charset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfText.WmfExtTextOut.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextAlign.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfText.WmfExtTextOut.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
